'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;

  // 腾讯企业邮
  router.get('/excute', controller.home.index);
  router.get('/publisher', controller.home.publisher);
  router.get('/consumer', controller.home.consumer);
  router.get('/testFdfs', controller.home.testFdfs);
  router.get('/testDownload', controller.home.testDownload);
  router.get('/testDing', controller.home.testDing);
  router.get('/testGetMails', controller.home.testGetMails);
  router.get('/testUpdateMails', controller.home.testUpdateMails);

  // 阿里企业邮
  router.get('/send-mail', controller.mail.index);
};
